package edu.uoc.pfc.sm.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/** 
 * S'emprarà per indicar al controlador que no ha de redirigir 
 * la navegació a cap vista una vegada processada una petició.
 * 
 * @author Salvador Morla
 * @version 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface NoForwardNoRedirect {
    boolean value() default true;
}
