package edu.uoc.pfc.sm.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indica que l'objecte anotat com a SMControllerBean s'ha de validar 
 * 
 * @author Salvador Morla
 * @version 1.0
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidateBean {
    
    boolean validate() default true; 
}
