package edu.uoc.pfc.sm.beanutils.converter;

import java.sql.Timestamp;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.apache.commons.beanutils.Converter;

public class TimestampConverter implements Converter {

    private static SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
    private static TimestampConverter instance = new TimestampConverter();
    
    private TimestampConverter(){
        super();
    }
    
    public static TimestampConverter getInstance(){
        return instance;
    }

    @Override
    public Timestamp convert(Class type, Object o) {

        if (o instanceof String) {
            ParsePosition pos = new ParsePosition(0);
            Date date;
            date = sdf.parse((String) o, pos);
            return new Timestamp(date.getTime());
        } else {
            return null;
        }
    }
}
