package edu.uoc.pfc.sm.error;

/**
 * Representa l'error que es produiex quan un metode de classe action no existeix
 * 
 * @author Salvador Morla
 * @version 1.0
 * 
 */
public class ErrorActionMethodNotExists extends SMControllerError{
    
    public ErrorActionMethodNotExists(String fullyQualifiedClassName, String methodName, NoSuchMethodException ne) {
        super("El mètode " + fullyQualifiedClassName + "." + methodName + "() no existeix", ne);
    }
}
