package edu.uoc.pfc.sm.error;

/**
 * Representa un error quan se defineix Forward i Redirect al mateix temps per
 * una classe Action.
 * 
 * @author Salvador Morla
 * @version 1.0
 */
public class ErrorActionMultipleForwardRedirect extends SMControllerError{
    
    private String message;
    public ErrorActionMultipleForwardRedirect(String fullyQualifiedClassName, String methodName) {
        
        this.message = "No se puede definir Forward y Redirect a la vez para " + fullyQualifiedClassName + ((methodName != null)? "." : methodName+"().");
    }
    
    @Override
    public String getMessage(){
        return message;
    }
}
