package edu.uoc.pfc.sm.error;

/**
 * Representa un error produït al processar una validacio de dades.
 *
 * @author Salvador Morla
 * @version 1.0
 */
public class ErrorSMControllerValidator extends SMControllerError {
    
    /**
     * Constructor de la classe
     * 
     * @param actionName nom de l'action
     * @param operation  nom del metode l'action pel qual se fa la validació
     * @param ex La exception produida.
     */
    public ErrorSMControllerValidator (String actionName, String operation,  Exception ex ) {
        super("Error intern executant la validació de dades per Action " 
             + actionName 
             + " al mètode "
             + operation, ex);
    }     
}
