package edu.uoc.pfc.sm.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indica que per al metode s'han de validar els SMControllerBeans anotats
 * amb ValidateField
 * 
 * @author Salvador Morla
 * @version 1.0
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidateMethod {    
    boolean validate() default true;
    String errorView();
}
