package edu.uoc.pfc.sm.beanutils.converter;

import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.apache.commons.beanutils.Converter;

public class DateConverter implements Converter {

    private static SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
    private static DateConverter instance = new DateConverter();
    
    private DateConverter(){
        super();
    }
    
    public static DateConverter getInstance(){
        return instance;
    }

    @Override
    public Date convert(Class type, Object o) {

        if (o instanceof String) {
            ParsePosition pos = new ParsePosition(0);
            Date date;
            date = sdf.parse((String) o, pos);
            return date;
        } else {
            return null;
        }
    }
}
