package edu.uoc.pfc.sm.error;

/**
 * Representa un error produit en instanciar una nova Action.
 * 
 * @author Salvador Morlá
 * @version 1.0
 */
public class ErrorActionNewInstance extends SMControllerError{
    
    public ErrorActionNewInstance(String actionName, InstantiationException ie ) {
        super("Error creant instancia d' Action " + actionName, ie);
    }
    
    public ErrorActionNewInstance(String actionName, IllegalAccessException iae ) {
        super("Error creant instancia d' Action " + actionName, iae);
    }
    
}
