package edu.uoc.pfc.sm.error;

/**
 * Representa un error al accedir a una action no permesa
 *
 * @author Salvador Morla
 * @version 1.0
 */
public class ErrorActionNotAllowed extends SMControllerError {
    
    /**
     * Constructor de la classe
     * 
     * @param fullyQualifiedClassName nom de l'action
     */
    public ErrorActionNotAllowed (String fullyQualifiedClassName) {
         super("No te accés a " + fullyQualifiedClassName + ".");
    }
}
