package edu.uoc.pfc.sm.util;

/**
 * Constants més rellevants.
 *
 * @author Salvador Morla
 * @version 1.0
 */
public final class Constants {

    private Constants() {
    }
    public static final String  EMPTY_STRING = "";
    public static final Integer NULL_INTEGER = Integer.valueOf(-1);
    public static final Float   NULL_FLOAT   = Float.valueOf(-1.0f);
    
    public static final byte   DEFAULT_BYTE = 0;
    public static final short  DEFAULT_SHORT = 0;
    public static final int    DEFAULT_INT = 0;
    public static final long   DEFAULT_LONG = 0L;
    public static final float  DEFAULT_FLOAT = 0.0f;
    public static final double DEFAULT_DOUBLE = 0.0d;
    public static final char   DEFAULT_CHAR = '\u0000';
    public static final boolean	DEFAULT_BOOLEAN = false;
}
