package edu.uoc.pfc.sm.util;
/**
 * Funcions d'utileria per validar dades provinents de la vista.
 * 
 * @author Salvador Morla
 * @version 1.0
 * 
 */
public abstract class ValidateUtils {
    
    public static String deleteBlankSpaces(String s) {
        return s.replaceAll(" ", "");
    }

    public static String replaceDecimalSeparators(String s) {
        return s.replaceAll(",", ".");
    }

    public static String notNullValue(String s) {
        if (s == null) { 
            return Constants.EMPTY_STRING;
        }
        else {
            return s;
        }
    }
}
