/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.uoc.pfc.sm.validation;

import java.util.ArrayList;
import java.util.List;

/**
 * Classe per gestionar els errors de validacio d'una peticio
 * 
 * @author Salvador Morla
 * @version 1.0
 */
public class SMControllerValidationError {
    private Boolean error;
    private String validationErrorView;
    private List<SMControllerFieldError> errorList;

    /**
     * @return the error
     */
    public Boolean getError() {
        return error != null ? error : Boolean.FALSE;
    }

    /**
     * @param error the error to set
     */
    public void setError(Boolean error) {
        this.error = error;
    }

    /**
     * @return the errorList
     */
    public List<SMControllerFieldError> getErrorList() {
        if (errorList == null) {
            this.errorList = new ArrayList<SMControllerFieldError>();
        }
        return errorList;
    }

    /**
     * @param errorList the errorList to set
     */
    public void setErrorList(List<SMControllerFieldError> errorList) {
        this.errorList = errorList;
    }

    public String getValidationErrorView() {
        return validationErrorView!=null?validationErrorView:"";
    }

    public void setValidationErrorView(String validationErrorView) {
        this.validationErrorView = validationErrorView;
    }
    
    
}
